package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.JoinUs;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.JoinUsMapper")
public interface JoinUsMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(JoinUs record);

    JoinUs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(JoinUs record);

    List<JoinUs> queryAllJoinUs(JoinUs record);

    List<JoinUs> queryJoinUsByPage(Map<String, Object> parameter);

    int delete(String id);

    JoinUs queryJoinUs(JoinUs record);

    List<JoinUs> query(JoinUs record);
}

